# 7 min run main.py for charlotte lab

import networkx as nx
import matplotlib.pyplot as plt

data = {'aarush-vemuganti': {}, 'adam-durrett': {}, 'adam-stone': {'dan-stone': 2, 'adam-stone': 4, 'griffin-orsinger': 5, 'zack-budzichowski': 7, 'adam-durrett': 1, 'dylan-ferro': 2, 'ryan-kim': 4, 'merritt-backerman': 4, 'david-tian': 3}, 'andrew-jiang': {}, 'dan-stone': {'dan-stone': 10, 'adam-stone': 1, 'dylan-ferro': 1, 'zack-budzichowski': 1, 'stuart-christhilf': 1}, 'dariyah-strachan': {'virginia-foster': 9, 'adam-durrett': 1, 'david-tian': 2, 'adam-stone': 1, 'stuart-christhilf': 3, 'dylan-ferro': 2, 'dariyah-strachan': 4}, 'david-tian': {}, 'dylan-ferro': {'dylan-ferro': 59, 'adam-stone': 5, 'dan-stone': 1, 'griffin-orsinger': 2, 'stuart-christhilf': 2, 'virginia-foster': 1}, 'griffin-orsinger': {'adam-stone': 2, 'dan-stone': 1}, 'jeffrey-smith': {'griffin-orsinger': 4, 'adam-stone': 3, 'zack-budzichowski': 2, 'ryan-kim': 1}, 'merritt-backerman': {'dylan-ferro': 1}, 'nidhie-dhiman': {}, 'ryan-kim': {'adam-stone': 4, 'dylan-ferro': 1, 'stuart-christhilf': 3, 'merritt-backerman': 1, 'zack-budzichowski': 4, 'adam-durrett': 1, 'jeffrey-smith': 1}, 'stuart-christhilf': {}, 'virginia-foster': {'virginia-foster': 31, 'dariyah-strachan': 3, 'griffin-orsinger': 1, 'zack-budzichowski': 1, 'adam-stone': 1}, 'zack-budzichowski': {}}

H = nx.DiGraph()

for name in data:
    H.add_nodes_from([
    (name, {"color": "yellow", "size": 2000}),
])

for name in data:
    for connection in data[name]:
        if name == connection:
            continue
        H.add_weighted_edges_from([
            (name, connection, int(data[name][connection]))
        ])

'''
pos = nx.circular_layout(H.subgraph(H))

"""
node_colors = nx.get_node_attributes(H, "color").values()
colors = list(node_colors)
node_sizes = nx.get_node_attributes(H, "size").values()
sizes = list(node_sizes)
nx.draw(H, with_labels=True, node_color=colors, node_size=sizes)
"""

node_colors = nx.get_node_attributes(H, "color").values()
colors = list(node_colors)
node_sizes = nx.get_node_attributes(H, "size").values()
sizes = list(node_sizes)

nx.draw(H, pos, with_labels=True, node_color=colors, node_size=sizes)

plt.show()

'''
pos = nx.circular_layout(H.subgraph(H))

node_colors = nx.get_node_attributes(H, "color").values()
colors = list(node_colors)
node_sizes = nx.get_node_attributes(H, "size").values()
sizes = list(node_sizes)

# Retrieve the weights
weights = nx.get_edge_attributes(H, "weight")
weights = [weights[(u, v)] for u, v in H.edges()]

# Draw the graph
nx.draw(H, pos, with_labels=True, node_color=colors, node_size=sizes, width=weights)

plt.show()